
/*! ============================================================================= */

/*! Post preview teaser (used in portfolio and home pages). Style 1. */

/*! ============================================================================= */
.vc-post-teaser--style-1 {
	position: relative;
	overflow: hidden;
	min-height: 300px;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}

.vc-post-teaser--style-1 .vc-post-teaser__image {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 10;
	transform: translateZ(0);
	will-change: transform;
	transition: transform 750ms;
}

.vc-post-teaser--style-1 .vc-post-teaser__image img {
	-o-object-fit: cover;
	object-fit: cover;
	font-family: "object-fit: cover;";
	width: 100%;
	height: 100%;
}

.vc-post-teaser--style-1 .vc-post-teaser__caption {
	position: relative;
	width: 100%;
	z-index: 15;
	opacity: 0;
	will-change: opacity;
	transition: opacity 300ms;
	display: flex;
}

.vc-post-teaser--style-1 .vc-post-teaser__caption-bg {
	background: #fff;
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	z-index: 10;
}

.vc-post-teaser--style-1 .vc-post-teaser__caption-content {
	padding: 30px;
	max-width: 80%;
	background: #fff;
	position: relative;
	z-index: 15;
}

.vc-post-teaser--style-1 .vc-post-teaser__arrow {
	position: absolute;
	right: 30px;
	top: 0;
	bottom: 0;
	color: inherit;
	font-size: 24px;
	display: flex;
	align-items: center;
	opacity: 0;
	line-height: 1;
	z-index: 15;
}

.vc-post-teaser--style-1 .vc-post-teaser__arrow svg {
	stroke-width: 1;
}

.vc-post-teaser--style-1 .vc-post-teaser__title {
	font-size: 24px;
	margin: 0;
	padding: 0;
	font-style: normal;
}

.vc-post-teaser--style-1 .vc-post-teaser__additional-info {
	margin-bottom: 7px;
	padding: 0;
	justify-content: flex-start;
}

.vc-post-teaser--style-1 .vc-post-teaser__link {
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	text-indent: -9999px;
	z-index: 30;
}

.vc-post-teaser--style-1.vc-post-teaser--hovered .vc-post-teaser__caption, .vc-post-teaser--style-1:hover .vc-post-teaser__caption {
	opacity: 1;
}

@media (hover: none) {
	.vc-post-teaser--style-1 .vc-post-teaser__caption {
		opacity: 1;
	}
}
